### Method

# Spelling Checker get_provider

#### Declaration [src]

    SpellingProvider*
    spelling_checker_get_provider (
      SpellingChecker* self
    )

#### Description [src]

Gets the spell provider used by the spell checker.

Currently, only Enchant-2 is supported.

Gets property | `Spelling.Checker:provider`

#### Return value

Type: `SpellingProvider`

A `SpellingProvider`.

The returned data is owned by the instance.